ALSA project - the C library reference

Modules | Macros
Constants for MIDI v1.0
Constants for Digital Audio Interfaces

## Modules
| MIDI Commands
| MIDI Controllers

## Macros
#define | MIDI_CHANNELS 16
#define | MIDI_GM_DRUM_CHANNEL (10-1)

## Detailed Description

Constants for MIDI v1.0.

## Macro Definition Documentation

## ◆ MIDI_CHANNELS

#define MIDI_CHANNELS 16

Number of channels per port/cable.

## ◆ MIDI_GM_DRUM_CHANNEL

#define MIDI_GM_DRUM_CHANNEL (10-1)

Channel number for GM drums.